Skip to main content
GET
Top athletes by transactions (Dashboard)

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Query Parameters

start_date
string<date>

Start date (YYYY-MM-DD).

Example:

"2026-02-16"

end_date
string<date>

End date (YYYY-MM-DD).

Example:

"2026-03-18"

q
string

Search query string (athlete name).

Example:

""

is_current_athlete
enum<string>

Filter: Y = Current Athletes, N = Former Athletes, A = All Athletes.

Available options:
Y,
N,
A
Example:

"Y"

mogl_deals_only
boolean

Show only MOGL deals.

Example:

true

page
integer

Page number.

Example:

1

items
integer

Items per page (default 10).

Example:

10

college_id
integer

Filter by university/college ID.

Response

Top athletes list

status
boolean
Example:

true

message
string
Example:

"Top Athletes has been retrieved."

data
object